# Fetch the program user's Todos. (deprecated)

Fetches multiple Todo records at a time.

Endpoint: GET /v2/assistant/todos
Version: 2026-05-01
Security: oauth2_as_a_user

## Security:

  - `oauth2_as_a_user` (unknown)
    oauth2 scopes: assistant.inbox.read, feeds.read, feeds.rendered.read

## Query parameters:

  - `filter.categories` (array)
    Limit returned records to those that match the category(s) provided.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer)
    Example: 1

  - `data.category` (string)
    Example: category

  - `data.label` (string)
    Example: label

  - `data.created_at` (string)

  - `data.updated_at` (string)

  - `data.resource` (object)

  - `data.resource.id` (integer)
    Example: 1

  - `data.resource.url` (string)
    Example: url

  - `data.actions` (array)

  - `data.actions.name` (string)
    Example: name

  - `data.actions.label` (string)
    Example: label

  - `data.actions.method` (string)
    Example: method

  - `data.actions.url` (string)
    Example: url

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 401:

  - `401` (unknown)
    Unauthenticated

